.col-selectable:not(:has(.use-highlights)) {
  cursor: pointer;
  min-height: 10px;
  transition: all 0.2s ease-in-out;
  position: relative;

  &:after {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: " ";
  }

  & > * {
    pointer-events: none;
    transition: all 0.2s ease-in-out;
  }

  &:hover {
    background-color: rgba(var(--bs-blue-100-rgb), 0.8);

    & > * {
      opacity: 0.7;
    }
  }
}

.row-selectable {
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  background-image: linear-gradient(
    45deg,
    rgba(var(--bs-indigo-100-rgb), 0.65) 25%,
    transparent 25%,
    transparent 50%,
    rgba(var(--bs-indigo-100-rgb), 0.65) 50%,
    rgba(var(--bs-indigo-100-rgb), 0.65) 75%,
    transparent 75%,
    transparent
  );
  background-size: 0.3rem 0.3rem;

  &:hover {
    background-color: rgba(var(--bs-indigo-100-rgb), 0.8);
    background-image: linear-gradient(
      45deg,
      rgba(var(--bs-gray-300-rgb), 0.85) 25%,
      transparent 25%,
      transparent 50%,
      rgba(var(--bs-gray-300-rgb), 0.85) 50%,
      rgba(var(--bs-gray-300-rgb), 0.85) 75%,
      transparent 75%,
      transparent
    );
  }

  .manage-col-container {
    display: none;
  }

  &.row-selected {
    background-color: rgba(var(--bs-indigo-100-rgb), 0.8);
    background-image: linear-gradient(
      45deg,
      rgba(var(--bs-indigo-300-rgb), 0.25) 25%,
      transparent 25%,
      transparent 50%,
      rgba(var(--bs-indigo-300-rgb), 0.25) 50%,
      rgba(var(--bs-indigo-300-rgb), 0.25) 75%,
      transparent 75%,
      transparent
    );
    background-size: 0.3rem 0.3rem;

    .manage-col-container {
      display: inline-block;
    }

    & + .row-layout-settings .row-button-group {
      display: none;
    }
  }

  .btn-outline-primary {
    background-color: var(--bs-white);

    &:hover {
      background-color: var(--bs-primary);
    }

    &:active {
      background-color: $primary;
      color: rgba(var(--bs-white-rgb), 0.5);
    }
  }

  &.row-visibility-no + .row-hidden {
    display: flex;
  }
}

.row-hidden {
  display: none;
}
